#include <stdio.h>

int main()
{
    int t;
    scanf("%d",&t);
    for (int i=0;i<t;i++)
    {
        long long n,m,k;
        scanf("%lld%lld%lld",&n,&m,&k);
        long long broj=n/k;
        n%=k;
        long long ukupno=(broj*(broj+1)/2)*k;
        m-=ukupno;
        long long ostatak=(broj+1)*n;
        m-=ostatak;
        if (m>=0) printf("Tak\n");
        else printf("Nie\n");
    }
}